      subroutine accumfpsp(nfree,dfreebeta,fp,sp,wght,iffp,ifsp)
 
c     Subroutine to accumulate first and second partial derivatives.
c     Second derivatives are accumulated in the lower triangle only.
c
c     Constantijn Panis, 15 April 1994
c     Last change: weight now double precision
 
      implicit none
      integer nfree,i,j
      double precision dfreebeta(nfree),fp(nfree),sp(nfree,nfree),wght
      logical iffp,ifsp
 
      if(iffp)then
         if(wght.eq.1.d0)then
            call vadd(fp,dfreebeta,fp,nfree)
         else
            call add(dfreebeta,fp,wght,nfree)
         endif
      endif
      if(ifsp)then
         if(wght.eq.1.d0)then
            do 110 i=1,nfree
               do 115 j=i,nfree
                  sp(j,i) = sp(j,i)-dfreebeta(i)*dfreebeta(j)
  115          continue
  110       continue
         else
            do 120 i=1,nfree
               do 125 j=i,nfree
                  sp(j,i) = sp(j,i)-wght*dfreebeta(i)*dfreebeta(j)
  125          continue
  120       continue
         endif
      endif
 
      return
      end
