      subroutine add2(plus1,plus2,base,factor1,factor2,length)
 
c     Subroutine to twice accumulate a scalar times a vector to
c     another vector:
c
c        base  = base + factor1*plus1 + factor2*plus2
c
c     Constantijn Panis,  23 November 1991
 
      implicit none
      integer length,i
      double precision plus1(length),plus2(length),base(length),
     *   factor1,factor2
 
      do 100 i=1,length
         base(i) = base(i) + factor1*plus1(i) + factor2*plus2(i)
  100 continue
 
      return
      end
