      logical function areinverse(dim,a,ai)
 
c     Logical function to determine whether two matrices are each
c     other's inverse, up to a tolerance of eps=1.d-10.
c
c     Constantijn Panis, 14 December 1995
 
      implicit none
      integer dim,i,j
      double precision a(dim,dim),ai(dim,dim),eps,temp,ginnerp
      parameter(eps=1.d-10)
 
      areinverse=.false.
      do 100 i=1,dim
         temp=ginnerp(dim,dim,1,a(i,1),ai(1,i))
         if(abs(temp-1).gt.eps)goto 999
         do 110 j=1,dim
            if(i.eq.j)goto 100
            temp=ginnerp(dim,dim,1,a(i,1),ai(1,j))
            if(abs(temp).gt.eps)goto 999
  110    continue
  100 continue
      areinverse=.true.
 
  999 return
      end
