      subroutine compint(sumdim,intpnts,compress)
 
c     Subroutine to compress integer array compress(sumdim) such that
c     it only refers to residuals of integrated distributions.
c     Compress may itself be intpnts.
c
c     Upon output, compress(i), i=1,sumintdim are relevant.  Elements
c     sumintdim+1 through sumdim are not zeroed-out.
c
c     Constantijn Panis, 29 March 2002
 
      implicit none
      integer sumdim,intpnts(sumdim),compress(sumdim),i,ii
 
      ii=0
      do 100 i=1,sumdim
         if(intpnts(i).eq.0)goto 100
         ii=ii+1
         compress(ii)=compress(i)
  100 continue
 
      return
      end
