      logical function diagonal(matrix,n)
 
c     Logical function to check that matrix(n,n) is diagonal.
c
c     Constantijn Panis, 17 March 1993
c     Last changed 17 March 1997 to fix a bug in MS Fortran.
c     Versions should be identical, but the old version caused
c     release version of MS Fortran to generated math stack overflow.
 
      implicit none
      integer n,i,j
      double precision matrix(n,n)
 
      diagonal=.false.
      do 100 i=1,n
         do 110 j=1,i-1
            if(matrix(i,j).ne.0.d0.or.matrix(j,i).ne.0.d0)goto 999
  110    continue
  100 continue
      diagonal=.true.
  999 return
      end
