      double precision function dpvecmin(array,length)
 
c     Double precision function to determine the lowest element of
c     a vector.  If length=0, dpvecmin=0.d0 is returned.
c
c     Constantijn Panis,  10 October 1991
 
      implicit none
      integer length,i
      double precision array(length)
 
      if(length.eq.0)then
         dpvecmin=0.d0
         goto 999
      endif
      dpvecmin=array(1)
      do 100 i=2,length
         dpvecmin = min(dpvecmin,array(i))
  100 continue
 
  999 return
      end
