      double precision function innerp84(x,y,n)
 
c     Function routine to compute the innerproduct of double
c     precision vectors x and real vector y.
c     This is an extension of double precision function innerp,
c     where both x and y are double precision.
c
c     Constantijn Panis,  24 November 1990
 
      implicit none
      integer n,i
      double precision x(n)
      real y(n)
 
      innerp84=0.d0
      do 100 i=1,n
         innerp84 = innerp84 + x(i)*dble(y(i))
  100 continue
      return
      end
