      logical function isnan(x)
 
c     Logical function to determine whether a double precision number
c     is NaN.  This routine is compiler-specific.  Its comparison is
c     based on the number returned for 0/0 or -0/0 or on compiler-specific
c     tricks.  Also see dpnan and realisnan.
c
c     Constantijn Panis, 26 October 2001
c     Last change: Compiler-specific
 
      implicit none
      double precision x,y
c     double precision dpnan
      integer ii(2)
      equivalence(y,ii)
 
      y=x
 
c     isnan = (ii(1).eq.0.and.ii(2).eq.-524288)
c     isnan = (x.ne.y)
      isnan = (x.ne.y)
c     isnan = (x.eq.dpnan())
 
      return
      end
