      subroutine lmatch(tobematched,vector,length,match)
 
c     Subroutine to find the first position in a logical vector of a
c     certain element.  Arguments:
c        tobematched [in] logical scalar to be matched
c        vector      [in] logical array to find match in
c        length      [in] dimension of vector
c        match      [out] >0 if vector(match)=tobematched
c                         =0 if no match is found
c
c     Constantijn Panis, 2 July 1996
 
      implicit none
      integer length,match
      logical tobematched,vector(length)
 
      do 100 match=1,length
         if(tobematched)then
            if(vector(match))goto 999
         else
            if(.not.vector(match))goto 999
         endif
  100 continue
      match=0
 
  999 return
      end
