      subroutine uppercase(instring,outstring)
 
c     Subroutine to convert any characters a-z in 'instring' into A-Z.
c     This subroutine makes use of the fact that 'A' and 'a' in the
c     ASCII data set 32 positions apart.
c
c     There is no check that len(outstring)>=len(instring).
c
c     Constantijn Panis,  24 December 1997
c     Last change: two arguments
 
      implicit none
      integer i,aa,zz,cc,len,invascii
      character instring*(*),outstring*(*),c*1,ascii*1
 
      aa=invascii('a')
      zz=invascii('z')
 
      outstring=instring
      do 100 i=1,len(instring)
         c=instring(i:i)
         cc=invascii(c)
         if(cc.ge.aa.and.cc.le.zz)outstring(i:i)=ascii(cc-32)
  100 continue
 
      return
      end
