      subroutine wrmodel1(levelmax,unit,mdllvl,nfull,numdist,sumdim,
     *   numpar,meno,moel,maxxnode,distdim,pardim,parpos,namepntr,nold,
     *   xnode,oldname,parname,rsetname,resname,splname)
 
c     Subroutine to write a hazard model specification.
c
c     Constantijn Panis, 20 April 1998
 
      implicit none
      integer levelmax,unit,mdllvl,nfull,numdist,sumdim,numpar,meno,
     *   moel(*),maxxnode,distdim(numdist),pardim(numpar),
     *   parpos(numpar),namepntr(levelmax),nold,xnodepntr,n,trm
      real xnode(maxxnode)
      character oldname(nold)*8,parname(*)*12,rsetname(*)*12,
     *   resname(sumdim)*8,splname(*)*12
 
      write(unit,'(3x,a,$)')'censor = '
c     write(unit,'(3x,a,$)')'censor = '
cD     write(unit,'(3x,a)',advance='no')'censor = '
      call writeexpr(100,unit,maxxnode,0,levelmax,1,-moel(meno),
     *   0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
      write(unit,'(a)')';'
      meno=meno+1
 
      if(moel(meno).eq.0)then
         write(unit,'(3x,a)')'duration = ;'
      else
         write(unit,'(3x,a,$)')'duration = '
c        write(unit,'(3x,a,$)')'duration = '
cD        write(unit,'(3x,a)',advance='no')'duration = '
         xnodepntr=moel(meno)
         call writeexpr(100,unit,maxxnode,0,levelmax,1,xnodepntr,
     *      0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
         write(unit,'(a,$)')' '
c        write(unit,'(a,$)')' '
cD       write(unit,'(a)',advance='no')' '
         call writeexpr(100,unit,maxxnode,0,levelmax,1,xnodepntr,
     *      0,0,0,0,nold,0,namepntr,-1,0.,xnode,0.,oldname,0)
         write(unit,'(a)')';'
      endif
      meno=meno+1
 
      if(moel(meno).eq.0)then
         write(unit,'(3x,a)')'timemarks = ;'
      else
         n=namepntr(mdllvl+1)+moel(meno)-1
         write(unit,201)oldname(n)(1:trm(oldname(n)))
  201    format(3x,'timemarks = ',a,';')
      endif
      meno=meno+1
 
      write(unit,'(3x,a,$)')'model = '
c     write(unit,'(3x,a,$)')'model = '
cD     write(unit,'(3x,a)',advance='no')'model = '
      call wrmodel(levelmax,unit,nfull,numdist,sumdim,numpar,meno,
     *   moel,maxxnode,distdim,pardim,parpos,namepntr,nold,xnode,
     *   oldname,parname,rsetname,resname,splname)
      write(unit,'(/,6x,a)')';'
 
  999 return
      end
