      subroutine findchar(unit)
 
c     Subroutine to scan for non-numeric elements in last line in
c     file connected to unit.
c
c     Constantijn Panis, 28 December 1993
 
      implicit none
      integer unit,i1,i2,status,trm
      double precision x
      character line*256
 
      backspace unit
      read(unit,'(a256)',err=999)line
      i1=1
  100 if(line(i1:i1).ne.' '.and.line(i1:i1).ne.',')then
c        new word found:
         i2=i1
  110    if(i2.eq.256)then
c           End-of-line:
            call c2dp(line(i1:i2),x,status)
            if(status.ne.0)goto 800
            goto 999
         elseif(line(i2:i2).eq.' '.or.line(i2:i2).eq.',')then
c           End-delimitor found:
            i2=i2-1
            call c2dp(line(i1:i2),x,status)
            if(status.ne.0)goto 800
c           Word was indeed numeric
            i1=i2+1
            goto 100
         endif
         i2=i2+1
         goto 110
      else
         i1=i1+1
      endif
      if(i1.le.256)goto 100
      goto 999
 
  800 if(line(i1:i2).eq.'.')then
         write(8,801)line(1:trm(line))
         write(6,801)line(1:trm(line))
      else
         write(8,802)line(i1:i2),line(1:trm(line))
         write(6,802)line(i1:i2),line(1:trm(line))
      endif
  801 format(/,'NOTE: the cause of the error may be a missing value ',
     *   '(''.'') in the data:',/,a)
  802 format(/,'NOTE: the cause of the error may be a non-numeric ',
     *   'word in the data: ''',a,''':',/,a)
      stop
  999 return
      end
