      subroutine initraw2aml(numvar,levelmax,datadim,xmean,xstd,deduct,
     *   double,rect,datalevel,datastructure,strucfreq,nx,xbase,nbmax,
     *   deviations,name)
 
c     Subroutine to initialize arrays.
c
c     Constantijn Panis, 20 July 1999
 
      implicit none
      integer numvar,levelmax,datadim
      double precision xmean(numvar),xstd(numvar)
      real deduct(numvar),deductflag
      integer double(numvar),rect(datadim),datalevel(datadim),
     *   datastructure(datadim),strucfreq(datadim),nx(levelmax*datadim),
     *   xbase(numvar),nbmax(2:levelmax,2:levelmax)
      logical deviations
      character name(numvar)*8
 
      call put(0.d0,xmean,numvar)
      call put(0.d0,xstd,numvar)
 
      if(deviations)then
         call putreal(deductflag(),deduct,numvar)
      else
         call putreal(0.,deduct,numvar)
      endif
 
      call putint(0,double,numvar)
      call putint(0,rect,datadim)
      call putint(0,datalevel,datadim)
      call putint(0,datastructure,datadim)
      call putint(0,strucfreq,datadim)
      call putint(0,nx,levelmax*datadim)
      call putint(0,xbase,numvar)
      call putint(0,nbmax,(levelmax-1)*(levelmax-1))
 
      name(1)='_id'
      name(2)='_one'
 
      return
      end
