      subroutine r2afiles(r2aversion)
 
c     Subroutine to open the control file and strip it from its comments;
c     determine the output data/summary files and open them.
c
c     Constantijn Panis,  4 December 2003
c     Last change: include Lahey
 
      implicit none
c     integer narg,iargc
c     integer narg,iargc
c     integer narg,iargc
      integer narg,iargc
c     integer narg,iargc
c     integer(2)i
c     integer i
c     integer i
      integer i
c     integer(2)i
      integer r2aversion,warn,n,trm
      logical exist
      character r2afile*128,datfile*128,macrofile*128,stem*128,
     *   borndate*24
      data borndate/'Fri Jan 27 20:22:27 2006'/
 
      r2afile=' '
      datfile=' '
      macrofile=' '
      warn=1
 
c     narg=iargc()
c     narg=iargc()
c     narg=iargc()
      narg=iargc()
c     narg=iargc()
 
c     Give help if the wrong number of arguments is specified:
      if(narg.eq.0)goto 800
      i=0
  100 i=i+1
c     call getarg(i,stem)
c     call getarg(i,stem)
c     call getarg(i,stem)
      call getarg(i,stem)
c     call getarg(i,stem)
      n=trm(stem)
      if(stem.eq.'-h'.or.stem.eq.'-?')then
         goto 800
      elseif(stem.eq.'-borndate')then
         goto 810
      elseif(stem.eq.'-r')then
c        Overwrite outputfile without warning
         warn=0
      elseif(stem.eq.'-o')then
         if(i.ge.narg)goto 800
         i=i+1
c        call getarg(i,datfile)
c        call getarg(i,datfile)
c        call getarg(i,datfile)
         call getarg(i,datfile)
c        call getarg(i,datfile)
      elseif(stem.eq.'-m')then
         if(i.ge.narg)goto 800
         i=i+1
c        call getarg(i,macrofile)
c        call getarg(i,macrofile)
c        call getarg(i,macrofile)
         call getarg(i,macrofile)
c        call getarg(i,macrofile)
      else
c        This has to be the control file name.
         if(r2afile.ne.' ')goto 800
         if(stem(1:1).eq.'-')goto 800
c        First try default extension .r2a, then without extension:
         if(exist(stem(1:n)//'.r2a'))then
            r2afile=stem(1:n)//'.r2a'
         elseif(exist(stem(1:n)))then
            r2afile=stem(1:n)
         else
            goto 820
         endif
      endif
      if(i.lt.narg)goto 100
 
c     Strip comments out of control file, expand macros, and connect
c     stripped version to unit 4.
  200 call metaparse(r2afile,macrofile,4)
c     Determine the output data and summary files and open them
      call outputfile(datfile,warn,r2afile)
      goto 999
 
  800 r2aversion=r2aversion/10
      if(stem.eq.'-h'.or.stem.eq.'-?')write(6,801)r2aversion/100.
      write(6,802)
  801 format('This is raw2aml version',f5.2,'.')
  802 format(/,'Usage: raw2aml [-h] [-r] [-o file.dat] [-m macrofile] ',
     *   'file.r2a',//,
     *   'where -h shows this help information;',/,6x,
     *   '-r replaces the output data file without warning;',/,6x,
     *   '-o specifies the output data file (default is file.dat);',/,
     *   6x,'-m specifies the macro expansion file; and',/,
     *   6x,'file.r2a is the raw2aml control file.')
      stop
  810 if(borndate.eq.'abcdefghijklmnopqrstuvwx')borndate='Unknown'
      write(6,811)(r2aversion/10)/100.,borndate
  811 format('Raw2aml version',f5.2,/,
     *   'Compile date:  ',a,/,
c    *   'Compiler:  Digital Visual Fortran 6.0')
c    *   'Compiler:  SUN Solaris f77 5.0')
     *   'Compiler:  f77 for Red Hat Linux (version unknown)')
c    *   'Compiler:  Alpha Tru64 UNIX g77 0.5.24')
c    *   'Compiler:  Lahey/Fujitsu Fortran 95 Release 5.60a')
      stop
  820 if(stem(n-3:n).eq.'.r2a')n=n-4
      call not_found(6,stem(1:n)//'.r2a')
      stop
  999 return
      end
