      subroutine c2i(a,n,status)
 
c     Subroutine to convert character string into integer.
c     Arguments:
c        a       [in] character string; must be left-flush.
c        n      [out] equivalent integer
c        status [out] 0 = all went OK
c                     1 = character string was not an integer
c
c     Constantijn Panis, 17 November 1999
 
      implicit none
      integer n,status
      integer len,length,sign,begin,i,match
      character a*(*)
c     character aa*12
      character str10*10
      data str10/'0123456789'/
 
      status=1
c     aa=a
c     read(a,'(i)',err=999)n
 
      length=len(a)
      if(length.eq.0)goto 999
      sign=1
      begin=1
      n=0
      if(a(1:1).eq.'-')then
         sign=-1
         begin=2
      elseif(a(1:1).eq.'+')then
         begin=2
      endif
      if(length.lt.begin)goto 999
 
      do 100 i=begin,length
         call char1match(a(i:i),str10,10,match)
         if(match.eq.0)goto 999
         n=10*n+match-1
  100 continue
      n=sign*n
 
      status=0
 
  999 return
      end
