      subroutine checkint6(allint6,numdist,sumdim,ifint6,distdim,
     *   intpnts,ipt,jpt)
 
c     Subroutine to check that either all or none of the integrated
c     distributions are integrated out of continuous modules.
c
c     Open issue:  is it necessary to include finite mixture
c     distributions under this rule?
c
c     Constantijn Panis, 27 June 1997
 
      implicit none
      integer numdist,sumdim,ifint6(numdist),distdim(numdist),
     *   intpnts(sumdim),ipt,jpt,allint6,pos,i
 
      allint6=0
      pos=1
      do 100 i=1,numdist
         if(intpnts(pos).gt.0)then
            if(ifint6(i).eq.-1.and.allint6.eq.1)goto 800
            if(ifint6(i).eq.1.and.allint6.eq.-1)goto 800
            if(allint6.eq.0)allint6=ifint6(i)
         endif
         pos=pos+distdim(i)
  100 continue
      goto 999
 
  800 if(ipt.gt.0)write(8,801)
      if(jpt.gt.0)write(6,801)
  801 format(/,'ERROR:  in continuous models, residuals may or may ',
     *   'not be integrated',/,'out.  However, residuals from ',
     *   '"integratable" distributions (i.e., which',/,'were defined ',
     *   'with integration points) must either all or none be',/,
     *   'integrated out of continuous modules.')
      stop
  999 return
      end
 
 
