      logical function cmpstri(string1,string2)
 
c     Function to check that string1 is the same as string2, where
c     case is ignored.
c
c     Constantijn Panis, 5 June 1996
c     Last change: eliminate byte type.
 
      implicit none
      integer i,i1,i2,invascii
      character string1*(*),string2*(*),c1,c2
 
      if(len(string1).ne.len(string2))goto 900
      do 100 i=1,len(string1)
         c1=string1(i:i)
         c2=string2(i:i)
c        The ASCII difference between uppercase and lowercase is 32:
         if(c1.eq.c2)goto 100
c        If c1 is uppercase, test whether its lowercase equivalent is c2:
         i1=invascii(c1)
         i2=invascii(c2)
         if(i1.ge.65.and.i1.le.90.and.i1+32.eq.i2)goto 100
         if(i2.ge.65.and.i2.le.90.and.i2+32.eq.i1)goto 100
         goto 900
  100 continue
      cmpstri=.true.
      goto 999
 
  900 cmpstri=.false.
  999 return
      end
