      subroutine dpsort(x,n)
 
c     Subroutine to sort a double precision array in ascending order
c     by straight insertion.  The required computer time is quadratic
c     in n.
c
c     Constantijn Panis,  22 October 1991
 
      implicit none
      integer n,i,j,k
      double precision x(n)
 
      do 100 i=1,n-1
         k=i
         do 110 j=i+1,n
            if(x(j).lt.x(k))k=j
  110    continue
         if(k.ne.i)call dpflip(x(k),x(i))
  100 continue
 
      return
      end
