      subroutine getstruc(datadim,struc,ds,il,ipt,jpt,datas,strctre,
     *   datastructure,line)
 
c     Subroutine to read the optional data structure specification in
c     a model specification.
c
c     Constantijn Panis, 18 May 1998
 
      implicit none
      integer datadim,struc,ds,il,ipt,jpt,datas,strctre,status
      real datastructure(datadim)
      character line*128
      logical smtxt
 
      if(smtxt(4,line,il,'DATA STRUCTURE='))then
         call getint(4,struc,line,il,status)
         if(status.gt.0)goto 800
         call realmatch(real(struc),datastructure,datadim,ds)
         if(ds.eq.0)goto 810
         if(.not.smtxt(4,line,il,';'))goto 800
      else
         if(datadim.gt.1)goto 820
         struc=int(datastructure(1))
         ds=1
      endif
      datas=struc
      strctre=ds
      goto 999
 
  800 if(ipt.gt.0)then
         call caretline(8,line,il)
         write(8,801)
      endif
      if(jpt.gt.0)then
         call caretline(6,line,il)
         write(6,801)
      endif
  801 format('ERROR in a data structure specification.  The syntax is:',
     *   //,3x,'DATA STRUCTURE = n;')
      stop
  810 if(ipt.gt.0)then
         call caretline(8,line,il)
         call writeaia(8,72,1,'ERROR: structure ',struc,' not found.')
      endif
      if(jpt.gt.0)then
         call caretline(6,line,il)
         call writeaia(6,72,1,'ERROR: structure ',struc,' not found.')
      endif
      stop
  820 if(ipt.gt.0)then
         call caretline(8,line,il)
         write(8,821)
      endif
      if(jpt.gt.0)then
         call caretline(6,line,il)
         write(6,821)
      endif
  821 format('ERROR: you must specify a data structure.')
      stop
  999 return
      end
