      character*60 function idstring(struc,id,obs,level,branch)
 
c     Character function to create strings like:
c
c        data structure=10, obs=123, ID=32, branch=2-3
c
c     and, if struc=0:     obs=123, ID=32, branch=2-3
c
c     and, if level=1:     obs=123, ID=32
c
c     and, if id=iobs=level=0:   " for data structure 10."
c          or, if also struc=0   "."
c
c     To be used in calling writeaia, etc.  For example:
c        string=idstring(struc,id,obs,level,branch)
c        call writeaia(8,72,1,'ERROR:  bla-bla-bla ',i,' ('//
c    *      string(1:trm(string))//').')
c
c     Constantijn Panis, 19 May 1998
 
      implicit none
      integer struc,id,obs,level,branch(level),trm
      character string*60,branchstring*12,i2c*12
 
      if(id.eq.0.and.obs.eq.0.and.level.eq.0)then
         if(struc.eq.0)then
            string='.'
         else
            string=' for data structure '//i2c(struc,0)
            string=string(1:trm(string))//'.'
         endif
         goto 100
      elseif(struc.ne.0.and.level.ge.2)then
         string='data structure='//i2c(struc,0)
         string=string(1:trm(string))//', obs='//i2c(obs,0)
      else
         string='obs='//i2c(obs,0)
      endif
      string=string(1:trm(string))//', ID='//i2c(id,0)
      if(level.ge.2)string=string(1:trm(string))//', branch='//
     *   branchstring(level,branch)
 
  100 idstring=string
 
      return
      end
 
 
 
