      subroutine intmatch(tobematched,vector,length,match)
 
c     Subroutine to find the position in an integer vector of a
c     certain element.  Arguments:
c        tobematched [in] integer to be matched
c        vector      [in] integer array to find match in
c        length      [in] dimension of vector
c        match      [out] >0 if vector(match)=tobematched
c                         =0 if no match is found
c
c     Constantijn Panis, 2 July 1996
 
      implicit none
      integer tobematched,length,vector(length),match
 
      do 100 match=1,length
         if(tobematched.eq.vector(match))goto 999
  100 continue
      match=0
 
  999 return
      end
