      subroutine lowercase(instring,outstring)
 
c     Subroutine to convert any characters A-Z in 'instring' into a-z.
c     This subroutine makes use of the fact that 'A' and 'a' in the
c     ASCII data set 32 positions apart.
c
c     Constantijn Panis,  10 June 1996
 
      implicit none
      integer i,len,ia,iz,invascii
      character instring*(*),outstring*(*),c*1,ascii*1
 
      ia=invascii('A')
      iz=invascii('Z')
 
      do 100 i=1,len(instring)
         c=instring(i:i)
         if(invascii(c).lt.ia.or.invascii(c).gt.iz)then
            outstring(i:i)=c
         else
            outstring(i:i)=ascii(invascii(c)+32)
         endif
  100 continue
 
      return
      end
