      logical function realisnan(x)
 
c     Logical function to determine whether a double precision number
c     is NaN or -NAN.  This routine is compiler-specific.  Its comparison
c     is based on compiler-specific tricks.  Also see realnan and isnan.
c     Run specialnumbers to determine whether (x.ne.x) works.
c
c     Constantijn Panis, 1 December 2003
c     Last change: add Lahey
 
      implicit none
      real x
c     real realnan
 
c     Important: isnan is built-in, not my own isnan.  Must not be declared.
c     realisnan = isnan(x)
c     realisnan = (x.ne.x)
c     realisnan = (x.ne.x)
      realisnan = (x.ne.x)
c     realisnan = (x.eq.realnan())
 
      return
      end
