      subroutine resref2def(ref,maxref,resref,dist,dim)
 
c     Subroutine to match a residual component reference number to
c     a distribution and a dimension within that distribution.
c     See define_dist for a description of how definition reference
c     numbers are stored.
c
c     Constantijn Panis,  14 Match 1998
c     Last change: no more error return
 
      implicit none
      integer ref,maxref,resref(maxref),dist,dim,i
 
      dist=1
      dim=1
      do 100 i=1,maxref
         if(resref(i).eq.ref)then
            goto 999
         elseif(resref(i).eq.-1)then
            dist=dist+1
            dim=1
         elseif(resref(i).eq.0)then
            dim=dim+1
         endif
  100 continue
      dist=0
      dim=0
 
  999 return
      end
