      logical function rowallzero(a,nrow,ncol)
 
c     Logical function to determine whether all elements of a double
c     precision matrix row are zero.
c
c     The first row is checked; should the i-th row be checked,
c     use the routine as follows:
c        rowallzero(a(i,1),nrow,ncol)
c
c     Constantijn Panis,  7 November 1998
 
      implicit none
      integer nrow,ncol,i
      double precision a(nrow*ncol)
 
      do 100 i=1,nrow*ncol,nrow
         if(a(i).ne.0.d0)goto 200
  100 continue
      rowallzero=.true.
      goto 999
 
  200 rowallzero=.false.
      goto 999
 
  999 return
      end
